# General utility functions

import datetime

def log_event(tag, msg):
    """
    Print a timestamped log message to the console.

    >>> log_event("TEST", "Hello!")
    [TEST] (01-04-2025 14:30:00): Hello!
    """
    timestamp = datetime.datetime.now().strftime('%d-%m-%Y %H:%M:%S')
    print(f"[{tag}] ({timestamp}): {msg}")
